#!/usr/bin/env ruby

parsed = File.new("parsed.dat", "r")

sum = Hash.new
countr = Hash.new
avg = Hash.new

parsed.each_line do |line|
	site = line.chop.sub(/^[\d]+\t([A-Za-z0-9.-]+)\t([\d.]+)$/,'\1')
	response_time = line.chop.sub(/^[\d]+\t([A-Za-z0-9.-]+)\t([\d.]+)$/,'\2')
	sum[site] = 0 if sum[site] == nil
	countr[site] = 0 if countr[site] == nil
	sum[site] += Float(response_time)
	countr[site] += 1
end

parsed.close

sum.each_key {
	|site|
	avg[site] = sum[site] / countr[site]
}

averages = File.new("data_files/dAVG.dat", "w")

avg.each_key {
	|site|
	averages.puts("#{site}\t#{avg[site]}")
	puts("#{site}\t#{avg[site]}")
}
