#!/usr/bin/env sh

# create report.tex, a latex file with all plots
echo '\documentclass{article}' > report.tex
echo '\usepackage{graphicx}' >> report.tex
echo '' >> report.tex
echo '\begin{document}' >> report.tex
echo '' >> report.tex

for i in {1..24}
do
	echo "\\includegraphics[width=\\textwidth]{pngs/plot_$i.png}" >> report.tex
done

echo "\\includegraphics[width=\\textwidth]{pngs/plot_AVG.png}" >> report.tex
echo '' >> report.tex
echo '\end{document}' >> report.tex

# compile latex file into pdf
pdflatex report

